CVC4::expr::ExprPrintTypes Class Reference

IOStream manipulator to print type ascriptions or not. More...

`#include <expr.h>`

## Data Structures

class | Scope
| Set the print-types state on the output stream for the current stack scope. More...

## Public Member Functions

| ExprPrintTypes (bool printTypes)
| Construct a ExprPrintTypes with the given setting.
void | applyPrintTypes (std::ostream &out)

## Static Public Member Functions

static bool | getPrintTypes (std::ostream &out)
static void | setPrintTypes (std::ostream &out, bool printTypes)

## Detailed Description

IOStream manipulator to print type ascriptions or not.

// let a, b, c, and d be variables of sort U Expr e = em->mkExpr(OR, a, b, em->mkExpr(AND, c, em->mkExpr(NOT, d))) out << e;

gives "(OR a:U b:U (AND c:U (NOT d:U)))", but

Definition at line 767 of file expr.h.

## Constructor & Destructor Documentation

## ExprPrintTypes()

CVC4::expr::ExprPrintTypes::ExprPrintTypes | ( | bool | printTypes | ) |

inline

Construct a ExprPrintTypes with the given setting.

Definition at line 782 of file expr.h.

## Member Function Documentation

## applyPrintTypes()

void CVC4::expr::ExprPrintTypes::applyPrintTypes | ( | std::ostream & | out | ) |

inline

Definition at line 784 of file expr.h.

Referenced by CVC4::expr::operator<<().

## getPrintTypes()

static bool CVC4::expr::ExprPrintTypes::getPrintTypes | ( | std::ostream & | out | ) |

inlinestatic

Definition at line 788 of file expr.h.

## setPrintTypes()

static void CVC4::expr::ExprPrintTypes::setPrintTypes | ( | std::ostream & | out,
|  | bool | printTypes )

inlinestatic

Definition at line 792 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h